<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__gpio_8h" kind="file" language="C++">
    <compoundname>cyhal_gpio.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__analog__common_8h">cyhal_analog_common.h</includedby>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__gpio__impl_8h">cyhal_gpio_impl.h</includedby>
    <includedby local="yes" refid="cyhal__adc_8c">cyhal_adc.c</includedby>
    <includedby local="yes" refid="cyhal__analog__common_8c">cyhal_analog_common.c</includedby>
    <includedby local="yes" refid="cyhal__comp_8c">cyhal_comp.c</includedby>
    <includedby local="yes" refid="cyhal__comp__ctb_8c">cyhal_comp_ctb.c</includedby>
    <includedby local="yes" refid="cyhal__dac_8c">cyhal_dac.c</includedby>
    <includedby local="yes" refid="cyhal__ezi2c_8c">cyhal_ezi2c.c</includedby>
    <includedby local="yes" refid="cyhal__i2c_8c">cyhal_i2c.c</includedby>
    <includedby local="yes" refid="cyhal__i2s_8c">cyhal_i2s.c</includedby>
    <includedby local="yes" refid="cyhal__opamp_8c">cyhal_opamp.c</includedby>
    <includedby local="yes" refid="cyhal__pdmpcm_8c">cyhal_pdmpcm.c</includedby>
    <includedby local="yes" refid="cyhal__pwm_8c">cyhal_pwm.c</includedby>
    <includedby local="yes" refid="cyhal__qspi_8c">cyhal_qspi.c</includedby>
    <includedby local="yes" refid="cyhal__sdhc_8c">cyhal_sdhc.c</includedby>
    <includedby local="yes" refid="cyhal__spi_8c">cyhal_spi.c</includedby>
    <includedby local="yes" refid="cyhal__timer_8c">cyhal_timer.c</includedby>
    <includedby local="yes" refid="cyhal__uart_8c">cyhal_uart.c</includedby>
    <includedby local="yes" refid="cyhal__usb__dev_8c">cyhal_usb_dev.c</includedby>
    <includedby local="yes" refid="cyhal__utils_8c">cyhal_utils.c</includedby>
    <includedby local="yes" refid="cyhal__adc_8h">cyhal_adc.h</includedby>
    <includedby local="yes" refid="cyhal__comp_8h">cyhal_comp.h</includedby>
    <includedby local="yes" refid="cyhal__i2s_8h">cyhal_i2s.h</includedby>
    <incdepgraph>
      <node id="120">
        <label>stdbool.h</label>
      </node>
      <node id="119">
        <label>stdint.h</label>
      </node>
      <node id="118">
        <label>cyhal_gpio.h</label>
        <link refid="cyhal__gpio_8h" />
        <childnode refid="119" relation="include">
        </childnode>
        <childnode refid="120" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__gpio_1ga25a61e0d5a27c77dca1c7709fba9c400" kind="define" prot="public" static="no">
        <name>CYHAL_NC_PIN_VALUE</name>
        <initializer>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>)</initializer>
        <briefdescription>
<para>Integer representation of no connect pin (required to exist in all BSPs) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" bodystart="99" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="99" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__gpio_1gaa18cb21d1ea9d64311a7c8ddc6a27656" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_gpio_event_t</name>
        <enumvalue id="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656aa7946bc42b986d4739a0917d156daa96" prot="public">
          <name>CYHAL_GPIO_IRQ_NONE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>No interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a4e34bdb4db6023a4c502c29e2b435096" prot="public">
          <name>CYHAL_GPIO_IRQ_RISE</name>
          <initializer>= 1 &lt;&lt; 0</initializer>
          <briefdescription>
<para>Interrupt on rising edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a25be17b1b49dff67ca628b9fe6ae38f7" prot="public">
          <name>CYHAL_GPIO_IRQ_FALL</name>
          <initializer>= 1 &lt;&lt; 1</initializer>
          <briefdescription>
<para>Interrupt on falling edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a966472a025b6099a9c758c22975ab8d7" prot="public">
          <name>CYHAL_GPIO_IRQ_BOTH</name>
          <initializer>= (CYHAL_GPIO_IRQ_RISE | CYHAL_GPIO_IRQ_FALL)</initializer>
          <briefdescription>
<para>Interrupt on both rising and falling edges. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_gpio_event_t: </bold><linebreak />Pin events.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="111" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" bodystart="106" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="106" />
      </memberdef>
      <memberdef id="group__group__hal__gpio_1ga54f023b4b455556095b64f4f5d7e3446" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_gpio_direction_t</name>
        <enumvalue id="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446a0b8ce046272e1971aea1248bd86f2698" prot="public">
          <name>CYHAL_GPIO_DIR_INPUT</name>
          <briefdescription>
<para>Input pin. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446a846ce42fac8d332495aaa45b93d671ec" prot="public">
          <name>CYHAL_GPIO_DIR_OUTPUT</name>
          <briefdescription>
<para>Output pin. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446aa74cc25a065acefdf521cfd5e5840fbe" prot="public">
          <name>CYHAL_GPIO_DIR_BIDIRECTIONAL</name>
          <briefdescription>
<para>Input and output pin. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_gpio_direction_t: </bold><linebreak />Pin direction.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="118" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" bodystart="114" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="114" />
      </memberdef>
      <memberdef id="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_gpio_drive_mode_t</name>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a181685dd155f58d036420b61778a7394" prot="public">
          <name>CYHAL_GPIO_DRIVE_NONE</name>
          <briefdescription>
<para>Digital Hi-Z. </para>          </briefdescription>
          <detaileddescription>
<para>Input only. Input init value(s): 0 or 1 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2add31d230860a15fb28b1c51aeb34f3d7" prot="public">
          <name>CYHAL_GPIO_DRIVE_ANALOG</name>
          <briefdescription>
<para>Analog Hi-Z. </para>          </briefdescription>
          <detaileddescription>
<para>Use only for analog purpose </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a062567632c803124bc394a1e0ea36e80" prot="public">
          <name>CYHAL_GPIO_DRIVE_PULLUP</name>
          <briefdescription>
<para>Pull-up resistor. </para>          </briefdescription>
          <detaileddescription>
<para>Input and output. Input init value(s): 1, output value(s): 0 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2aa71fcf0c207fb35936fe3e41c39ff043" prot="public">
          <name>CYHAL_GPIO_DRIVE_PULLDOWN</name>
          <briefdescription>
<para>Pull-down resistor. </para>          </briefdescription>
          <detaileddescription>
<para>Input and output. Input init value(s): 0, output value(s): 1 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a9c51fc7bcc4196c011af96495d358d95" prot="public">
          <name>CYHAL_GPIO_DRIVE_OPENDRAINDRIVESLOW</name>
          <briefdescription>
<para>Open-drain, Drives Low. </para>          </briefdescription>
          <detaileddescription>
<para>Input and output. Input init value(s): 1, output value(s): 0 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2ae233e78cc7f6df331630ef11c243a9ac" prot="public">
          <name>CYHAL_GPIO_DRIVE_OPENDRAINDRIVESHIGH</name>
          <briefdescription>
<para>Open-drain, Drives High. </para>          </briefdescription>
          <detaileddescription>
<para>Input and output. Input init value(s): 0, output value(s): 1 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a697e0520cb1b71b748bb76eaafb3ad1b" prot="public">
          <name>CYHAL_GPIO_DRIVE_STRONG</name>
          <briefdescription>
<para>Strong output. </para>          </briefdescription>
          <detaileddescription>
<para>Output only. Output init value(s): 0 or 1 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a42913f4c174583d37970c81aa6a20a5a" prot="public">
          <name>CYHAL_GPIO_DRIVE_PULLUPDOWN</name>
          <briefdescription>
<para>Pull-up and pull-down resistors. </para>          </briefdescription>
          <detaileddescription>
<para>Input and output. Input init value(s): 0 or 1, output value(s): 0 or 1 </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2abe59e87a4fa3903889d94d13b2f09a38" prot="public">
          <name>CYHAL_GPIO_DRIVE_PULL_NONE</name>
          <briefdescription>
<para>No Pull-up or pull-down resistors. </para>          </briefdescription>
          <detaileddescription>
<para>Input and output. Input init value(s): 0 or 1, output value(s): 0 or 1 </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_gpio_drive_mode_t: </bold><linebreak />Pin drive mode.</para></briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;When the &lt;b&gt; drive_mode &lt;/b&gt; of the &lt;b&gt; pin &lt;/b&gt; is set to &lt;b&gt; CYHAL_GPIO_DRIVE_PULL_NONE &lt;/b&gt;, it is set to &lt;b&gt; CYHAL_GPIO_DRIVE_STRONG &lt;/b&gt; if the &lt;b&gt; direction &lt;/b&gt; of the &lt;b&gt; pin &lt;/b&gt; is &lt;b&gt; CYHAL_GPIO_DIR_OUTPUT &lt;/b&gt; or &lt;b&gt; CYHAL_GPIO_DIR_BIDIRECTIONAL&lt;/b&gt;. If not, the &lt;b&gt; drive_mode &lt;/b&gt; of the &lt;b&gt; pin &lt;/b&gt; is set to &lt;b&gt; CYHAL_GPIO_DRIVE_NONE&lt;/b&gt;. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="137" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" bodystart="127" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="127" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__gpio_1ga4a82d25582991576faba92d30a5da881" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_gpio_event_callback_t) (void *callback_arg, cyhal_gpio_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_gpio_event_t event)</argsstring>
        <name>cyhal_gpio_event_callback_t</name>
        <briefdescription>
<para>GPIO callback function type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" bodystart="140" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="140" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1gab93322030909d3af6a9fc1a3b2eccbaa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_gpio_init</definition>
        <argsstring>(cyhal_gpio_t pin, cyhal_gpio_direction_t direction, cyhal_gpio_drive_mode_t drive_mode, bool init_val)</argsstring>
        <name>cyhal_gpio_init</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__gpio_1ga54f023b4b455556095b64f4f5d7e3446">cyhal_gpio_direction_t</ref></type>
          <declname>direction</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2">cyhal_gpio_drive_mode_t</ref></type>
          <declname>drive_mode</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>init_val</declname>
        </param>
        <briefdescription>
<para>Initialize the GPIO pin <linebreak />
 See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_1">Snippet 1: Reading value from GPIO</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO pin to initialize </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">direction</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin direction </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">drive_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin drive mode </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">init_val</parametername>
</parameternamelist>
<parameterdescription>
<para>Initial value on the pin</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request</para></simplesect>
Guidance for using gpio drive modes ( <ref kindref="member" refid="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2">cyhal_gpio_drive_mode_t</ref> for details). For default use drive modes: Input GPIO direction - <ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a181685dd155f58d036420b61778a7394">CYHAL_GPIO_DRIVE_NONE</ref> Output GPIO direction - <ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a697e0520cb1b71b748bb76eaafb3ad1b">CYHAL_GPIO_DRIVE_STRONG</ref> Bidirectional GPIO - <ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a42913f4c174583d37970c81aa6a20a5a">CYHAL_GPIO_DRIVE_PULLUPDOWN</ref> <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;Don't use &lt;a href="group__group__hal__gpio.html#group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a697e0520cb1b71b748bb76eaafb3ad1b"&gt;CYHAL_GPIO_DRIVE_STRONG&lt;/a&gt; for input GPIO direction. It may cause an overcurrent issue. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="163" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1gae5ef384dcdef1d08d4a9e88592bda173" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_gpio_free</definition>
        <argsstring>(cyhal_gpio_t pin)</argsstring>
        <name>cyhal_gpio_free</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Uninitialize the gpio peripheral and the cyhal_gpio_t object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>Pin number </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="169" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1ga3e5ed18d7f97f80560131311281d3f4c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_gpio_configure</definition>
        <argsstring>(cyhal_gpio_t pin, cyhal_gpio_direction_t direction, cyhal_gpio_drive_mode_t drive_mode)</argsstring>
        <name>cyhal_gpio_configure</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__gpio_1ga54f023b4b455556095b64f4f5d7e3446">cyhal_gpio_direction_t</ref></type>
          <declname>direction</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2">cyhal_gpio_drive_mode_t</ref></type>
          <declname>drive_mode</declname>
        </param>
        <briefdescription>
<para>Configure the GPIO pin <linebreak />
 See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_3">Snippet 3: Reconfiguring a GPIO</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">direction</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin direction </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">drive_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin drive mode</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1gaf66e7c3ed7b3b0711635d7687ae92291" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_gpio_write</definition>
        <argsstring>(cyhal_gpio_t pin, bool value)</argsstring>
        <name>cyhal_gpio_write</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>value</declname>
        </param>
        <briefdescription>
<para>Set the output value for the pin. </para>        </briefdescription>
        <detaileddescription>
<para>This only works for output &amp; in_out pins. <linebreak />
 See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_2">Snippet 2: Writing value to a GPIO</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to be set (high = true, low = false) </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="188" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1ga3d38f1dd86c2e74b8ad10f1f6d1945c2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_gpio_read</definition>
        <argsstring>(cyhal_gpio_t pin)</argsstring>
        <name>cyhal_gpio_read</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Read the input value. </para>        </briefdescription>
        <detaileddescription>
<para>This only works for <ref kindref="member" refid="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446a0b8ce046272e1971aea1248bd86f2698">CYHAL_GPIO_DIR_INPUT</ref> &amp; <ref kindref="member" refid="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446aa74cc25a065acefdf521cfd5e5840fbe">CYHAL_GPIO_DIR_BIDIRECTIONAL</ref> pins. <linebreak />
 See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_1">Snippet 1: Reading value from GPIO</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The value of the IO (true = high, false = low) </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="196" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1gacf9c6cb7d4f6f25828a62d44648b745d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_gpio_toggle</definition>
        <argsstring>(cyhal_gpio_t pin)</argsstring>
        <name>cyhal_gpio_toggle</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Toggle the output value <linebreak />
 See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_4">Snippet 4: Interrupts on GPIO events</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="202" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1gaefb03ec6e090ec57fae9e79b4d3bfb4e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_gpio_register_callback</definition>
        <argsstring>(cyhal_gpio_t pin, cyhal_gpio_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_gpio_register_callback</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__gpio_1ga4a82d25582991576faba92d30a5da881">cyhal_gpio_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register/clear a callback handler for pin events <linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__gpio_1ga0e0346810451d9940d31bb6111153593">cyhal_gpio_enable_event</ref> occurs.</para><para>See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_4">Snippet 4: Interrupts on GPIO events</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin number </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The function to call when the specified event happens. Pass NULL to unregister the handler. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called, can be NULL </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="214" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__gpio_1ga0e0346810451d9940d31bb6111153593" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_gpio_enable_event</definition>
        <argsstring>(cyhal_gpio_t pin, cyhal_gpio_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_gpio_enable_event</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__gpio_1gaa18cb21d1ea9d64311a7c8ddc6a27656">cyhal_gpio_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enable or Disable the specified GPIO event <linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__gpio_1gaefb03ec6e090ec57fae9e79b4d3bfb4e">cyhal_gpio_register_callback</ref> will be called.</para><para>See <ref kindref="member" refid="group__group__hal__gpio_1subsection_gpio_snippet_4">Snippet 4: Interrupts on GPIO events</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The GPIO event </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" line="227" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the GPIO on Cypress devices. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="82"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="95"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Defines</highlight></codeline>
<codeline lineno="96"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />CYHAL_NC_PIN_VALUE<sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="102"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Enumerations</highlight></codeline>
<codeline lineno="103"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656aa7946bc42b986d4739a0917d156daa96">CYHAL_GPIO_IRQ_NONE</ref><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a4e34bdb4db6023a4c502c29e2b435096">CYHAL_GPIO_IRQ_RISE</ref><sp />=<sp />1<sp />&lt;&lt;<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a25be17b1b49dff67ca628b9fe6ae38f7">CYHAL_GPIO_IRQ_FALL</ref><sp />=<sp />1<sp />&lt;&lt;<sp />1,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a966472a025b6099a9c758c22975ab8d7">CYHAL_GPIO_IRQ_BOTH</ref><sp />=<sp />(<ref kindref="member" refid="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a4e34bdb4db6023a4c502c29e2b435096">CYHAL_GPIO_IRQ_RISE</ref><sp />|<sp /><ref kindref="member" refid="group__group__hal__gpio_1ggaa18cb21d1ea9d64311a7c8ddc6a27656a25be17b1b49dff67ca628b9fe6ae38f7">CYHAL_GPIO_IRQ_FALL</ref>),<sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__gpio_1gaa18cb21d1ea9d64311a7c8ddc6a27656">cyhal_gpio_event_t</ref>;</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446a0b8ce046272e1971aea1248bd86f2698">CYHAL_GPIO_DIR_INPUT</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446a846ce42fac8d332495aaa45b93d671ec">CYHAL_GPIO_DIR_OUTPUT</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga54f023b4b455556095b64f4f5d7e3446aa74cc25a065acefdf521cfd5e5840fbe">CYHAL_GPIO_DIR_BIDIRECTIONAL</ref>,<sp /></highlight></codeline>
<codeline lineno="118"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga54f023b4b455556095b64f4f5d7e3446">cyhal_gpio_direction_t</ref>;</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a181685dd155f58d036420b61778a7394">CYHAL_GPIO_DRIVE_NONE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2add31d230860a15fb28b1c51aeb34f3d7">CYHAL_GPIO_DRIVE_ANALOG</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a062567632c803124bc394a1e0ea36e80">CYHAL_GPIO_DRIVE_PULLUP</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2aa71fcf0c207fb35936fe3e41c39ff043">CYHAL_GPIO_DRIVE_PULLDOWN</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a9c51fc7bcc4196c011af96495d358d95">CYHAL_GPIO_DRIVE_OPENDRAINDRIVESLOW</ref>,<sp /><sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2ae233e78cc7f6df331630ef11c243a9ac">CYHAL_GPIO_DRIVE_OPENDRAINDRIVESHIGH</ref>,<sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a697e0520cb1b71b748bb76eaafb3ad1b">CYHAL_GPIO_DRIVE_STRONG</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2a42913f4c174583d37970c81aa6a20a5a">CYHAL_GPIO_DRIVE_PULLUPDOWN</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__gpio_1gga2eb76143375648febb0ef73f00a681b2abe59e87a4fa3903889d94d13b2f09a38">CYHAL_GPIO_DRIVE_PULL_NONE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2">cyhal_gpio_drive_mode_t</ref>;</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__gpio_1ga4a82d25582991576faba92d30a5da881">cyhal_gpio_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__gpio_1gaa18cb21d1ea9d64311a7c8ddc6a27656">cyhal_gpio_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="143"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Functions</highlight></codeline>
<codeline lineno="144"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__gpio_1gab93322030909d3af6a9fc1a3b2eccbaa">cyhal_gpio_init</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga54f023b4b455556095b64f4f5d7e3446">cyhal_gpio_direction_t</ref><sp />direction,<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2">cyhal_gpio_drive_mode_t</ref><sp />drive_mode,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />init_val);</highlight></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1gae5ef384dcdef1d08d4a9e88592bda173">cyhal_gpio_free</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin);</highlight></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__gpio_1ga3e5ed18d7f97f80560131311281d3f4c">cyhal_gpio_configure</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga54f023b4b455556095b64f4f5d7e3446">cyhal_gpio_direction_t</ref><sp />direction,<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga2eb76143375648febb0ef73f00a681b2">cyhal_gpio_drive_mode_t</ref><sp />drive_mode);</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1gaf66e7c3ed7b3b0711635d7687ae92291">cyhal_gpio_write</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />value);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1ga3d38f1dd86c2e74b8ad10f1f6d1945c2">cyhal_gpio_read</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin);</highlight></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1gacf9c6cb7d4f6f25828a62d44648b745d">cyhal_gpio_toggle</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin);</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1gaefb03ec6e090ec57fae9e79b4d3bfb4e">cyhal_gpio_register_callback</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /><ref kindref="member" refid="group__group__hal__gpio_1ga4a82d25582991576faba92d30a5da881">cyhal_gpio_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1ga0e0346810451d9940d31bb6111153593">cyhal_gpio_enable_event</ref>(<ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /><ref kindref="member" refid="group__group__hal__gpio_1gaa18cb21d1ea9d64311a7c8ddc6a27656">cyhal_gpio_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="228"><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="230"><highlight class="comment">*<sp />Backward<sp />compatibility<sp />macro.<sp />The<sp />following<sp />code<sp />is<sp />DEPRECATED<sp />and<sp />must</highlight></codeline>
<codeline lineno="231"><highlight class="comment">*<sp />not<sp />be<sp />used<sp />in<sp />new<sp />projects</highlight></codeline>
<codeline lineno="232"><highlight class="comment">*******************************************************************************/</highlight></codeline>
<codeline lineno="234"><highlight class="preprocessor">#define<sp />cyhal_gpio_register_irq(pin,<sp />priority,<sp />handler,<sp />handler_arg)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_gpio_register_callback(pin,<sp />handler,<sp />handler_arg)</highlight><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cyhal_gpio_irq_enable(pin,<sp />event,<sp />enable)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_gpio_enable_event(pin,<sp />event,<sp />CYHAL_ISR_PRIORITY_DEFAULT,<sp />enable)</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__gpio_1gaa18cb21d1ea9d64311a7c8ddc6a27656">cyhal_gpio_event_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_gpio_irq_event_t;</highlight></codeline>
<codeline lineno="239"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal">}</highlight></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_GPIO_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_GPIO_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_GPIO_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_gpio.h" />
  </compounddef>
</doxygen>